Subject: [Peninsula_Interweave] Gwen Araujo - Discussion on Radio Sunday Night

From: "joycekathryncooper" <[email-masked]>
Date: Fri, 14 Jul 2006 17:54:04 -0000

There will a discussion of Gwen Araujo on Air America Radio KQKE's 
Queer Channel show This Sunday (7/16/2006) at 7:00 PST - Gwen's 
Lawyers, mother etc will be in studio for the show. Maybe a call in 
also. KQKE - Oakland 960 AM or on the web AirAmericaRadio.com